### Hierarchy

- unknown
  - GetVersionRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetVersionRequest(): GetVersionRequest

- Inherited from jspb.Message.constructor

  #### Returns GetVersionRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:43

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetVersionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:44

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetVersionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetVersionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:47

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetVersionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetVersionRequest, reader: BinaryReader): GetVersionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:48

  #### Parameters

  - ##### message: GetVersionRequest

  - ##### reader: BinaryReader

  #### Returns GetVersionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetVersionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:46

  #### Parameters

  - ##### message: GetVersionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetVersionRequest ): GetVersionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:45

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetVersionRequest

  #### Returns GetVersionRequest . AsObject

Generated using TypeDoc